API

Confirm email address via the link from the email

GET/api/crm/v2/application.confirm_emailv2
operationId: application.confirmEmail

Called without a session. Confirms the address using a one-time token. Sets the confirmation flag during registration. When changing the address, sets the new address as the login, notifies the previous address, and terminates all user sessions.
Errors:

  • 334 — link is invalid or already used
  • 335 — link has expired
  • 111 — address has been taken during this time.

Authorization

language + role

Query parameters

tokenstringrequired

Example: b1e0f4c8d2a7…

Responses

OK

object
statusstringrequired

Values:successerror

Example: success

dataobject
emailstring

Confirmed email address, also used as login

Example: example@example.com

is_email_changedboolean

true — email address change confirmed, false — registration

Example: true